Can not start the mariadb.service in the 3th node

asked 2017-08-05 22:17:37 -0500

liaodalin19903 gravatar image

I have three nodes to do mariadb cluster, but the node3 can not start the mariadb:

enter image description here

I use the systemctl status mariadb.service:

[root@ha-node3 log]# systemctl status mariadb.service 
● mariadb.service - MariaDB database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/mariadb.service.d
           └─migrated-from-my.cnf-settings.conf
   Active: failed (Result: exit-code) since Sun 2017-08-06 10:32:12 CST; 4min 1s ago
  Process: 23807 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=1/FAILURE)
  Process: 23803 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)

Aug 06 10:32:12 ha-node3 sh[23807]: InnoDB: Set innodb_force_recovery to ignore this error.
Aug 06 10:32:12 ha-node3 sh[23807]: 2017-08-06 10:32:11 139908193081536 [ERROR] Plugin 'InnoDB' init function returned error.
Aug 06 10:32:12 ha-node3 sh[23807]: 2017-08-06 10:32:11 139908193081536 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
Aug 06 10:32:12 ha-node3 sh[23807]: 2017-08-06 10:32:11 139908193081536 [Note] Plugin 'FEEDBACK' is disabled.
Aug 06 10:32:12 ha-node3 sh[23807]: 2017-08-06 10:32:11 139908193081536 [ERROR] Unknown/unsupported storage engine: InnoDB
Aug 06 10:32:12 ha-node3 sh[23807]: 2017-08-06 10:32:11 139908193081536 [ERROR] Aborting'
Aug 06 10:32:12 ha-node3 systemd[1]: mariadb.service: control process exited, code=exited status=1
Aug 06 10:32:12 ha-node3 systemd[1]: Failed to start MariaDB database server.
Aug 06 10:32:12 ha-node3 systemd[1]: Unit mariadb.service entered failed state.
Aug 06 10:32:12 ha-node3 systemd[1]: mariadb.service failed.

I use the journalctl -xe to check:

Aug 06 11:10:46 ha-node3 xinetd[1199]: START: mysqlchk pid=42863 from=::ffff:192.168.8.101
Aug 06 11:10:46 ha-node3 xinetd[1199]: EXIT: mysqlchk signal=13 pid=42862 duration=0(sec)
Aug 06 11:10:46 ha-node3 xinetd[1199]: EXIT: mysqlchk status=1 pid=42863 duration=0(sec)
Aug 06 11:10:46 ha-node3 xinetd[1199]: START: mysqlchk pid=42871 from=::ffff:192.168.8.102
Aug 06 11:10:46 ha-node3 xinetd[1199]: EXIT: mysqlchk status=1 pid=42871 duration=0(sec)
Aug 06 11:10:48 ha-node3 xinetd[1199]: START: mysqlchk pid=42894 from=::ffff:192.168.8.103
Aug 06 11:10:48 ha-node3 xinetd[1199]: START: mysqlchk pid=42898 from=::ffff:192.168.8.101
Aug 06 11:10:48 ha-node3 xinetd[1199]: EXIT: mysqlchk signal=13 pid=42894 duration=0(sec)
Aug 06 11:10:48 ha-node3 xinetd[1199]: EXIT: mysqlchk status=1 pid=42898 duration=0(sec)
Aug 06 11:10:48 ha-node3 xinetd[1199]: START: mysqlchk pid=42903 from=::ffff:192.168.8.102
Aug 06 11:10:48 ha-node3 xinetd[1199]: EXIT: mysqlchk status=1 pid=42903 duration=0(sec)
Aug 06 11:10:50 ha-node3 xinetd[1199]: START: mysqlchk pid=42914 from=::ffff:192.168.8.103
Aug 06 11:10:50 ...
(more)
edit retag flag offensive close merge delete

Comments

any errors from mariadb log or message logs ?

Rajesh Ramachandran gravatar imageRajesh Ramachandran ( 2017-08-06 00:11:47 -0500 )edit

@RajeshRamachandran which is its log place? I did not find it.

liaodalin19903 gravatar imageliaodalin19903 ( 2017-08-06 03:22:22 -0500 )edit

Try journalctl -u mariadb or look for files named mysql.* under /var/log.

Bernd Bausch gravatar imageBernd Bausch ( 2017-08-06 18:08:02 -0500 )edit